package com.qs.mp.user.service;

import com.qs.mp.user.domain.UserCoin;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 用户代币 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-07
 */
public interface IUserCoinService extends IService<UserCoin> {

  /**
   * 发放代币
   * @param userId
   * @param logCoin
   * @param bizId
   */
  void produce(Long userId, Integer logCoin, String bizId);

  /**
   * 消耗代币
   * @param userId
   * @param logCoin
   * @param bizId
   */
  void consume(Long userId, Integer logCoin, String bizId);
}
