package com.qs.mp.channel.domain.vo;

import com.qs.mp.user.domain.UserAddr;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/3
 */
@Data
public class ChannelOrderSettleVO {

  private UserAddr addr;

  /**
   * 订单金额
   */
  private Integer orderAmt = 0;

  /**
   * 优惠金额
   */
  private Integer discountAmt = 0;

  /**
   * 运费金额
   */
  private Integer freightAmt = 0;

  /**
   * 实付金额
   */
  private Integer payAmt = 0;

  /**
   * 订单明细
   */
  private List<ChannelCartVO> items = new ArrayList<>();

  /**
   * 盲票包数
   */
  private Integer pkgNum = 0;
}
