package com.qs.mp.user.domain.vo;

import com.qs.mp.user.domain.UserAddr;
import com.qs.mp.user.domain.UserPrizeStorage;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/3
 */
@Data
public class DeliverOrderSettleVO {

  private UserAddr addr;

  /**
   * 订单金额
   */
  private Integer orderAmt = 0;

  /**
   * 运费
   */
  private Integer freightAmt = 0;

  /**
   * 实付金额
   */
  private Integer payAmt = 0;

  /**
   * 奖品库列表
   */
  List<UserPrizeStorage> prizeList = new ArrayList<>();

}
