package com.qs.mp.user.domain.vo;

import java.util.ArrayList;
import java.util.List;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/3
 */
@Data
public class TicketOrderSettleVO {

  /**
   * 订单金额
   */
  private Integer orderAmt = 0;

  /**
   * 优惠金额
   */
  private Integer discountAmt = 0;

  /**
   * 实付金额
   */
  private Integer payAmt = 0;

  /**
   * 票组ID
   */
  private String boxId;

  /**
   * 订购数量
   */
  private Integer orderNum;

  /**
   * 盲票ID
   */
  private String ticketId;

  /**
   * 盲票图片
   */
  private String picUrl;

  /**
   * 盲票标题
   */
  private String title;

  /**
   * 使用优惠券列表
   */
  List<UserCouponVO> couponList = new ArrayList<>();

}
